#ifndef BLUETOOTH_H_
#define BLUETOOTH_H_

#include <string>
#include <list>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <sys/ioctl.h>
#include <sys/socket.h>

#include <bluetooth/bluetooth.h>
#include <bluetooth/hci.h>
#include <bluetooth/hci_lib.h>
#include <bluetooth/rfcomm.h>

class BTManageAgent
{
  private:
    std::list<std::string> mac;
  
  public:
    BTManageAgent();
    ~BTManageAgent();
    bool Inquire(std::list<std::string>& added,
                            std::list<std::string>& removed);

};

#endif
