#ifndef _pcmu_l_h
#define _pcmu_l_h
#include <sys/types.h>    /* u_char */
extern short pcmu_l14_table[], pcmu_l16_table[];
extern unsigned char l14_pcmu_table[], l8_pcmu_table[];

#define l14_pcmu(x) ((x) >= 0 ? l14_pcmu_table[x] : l14_pcmu_table[-x] - 128)
#define l16_pcmu(x) l14_pcmu((x) >> 2)

#define pcmu_l14(x) (pcmu_l14_table[x])
#define pcmu_l16(x) (pcmu_l16_table[x])

#endif
